WordPress.org

Forums

Moolah payment gateway for Woocommerce
[resolved] Additional altcoins (3 posts)

  1. killerdog
    Member
    Posted 8 months ago #

    Such a great plugin! Thanks for releasing it!

    Do you have any intention to add support for the additional coins that Moolah now officially supports?

    Supported coins now include:

    Bitcoin, Blackcoin, Darkcoin, Digibyte, Digitalcoin, Dogecoin, Einsteinium, Litecoin, Maxcoin, Mintcoin, Myriadcoin, Nautiluscoin, Peercoin, Quarkcoin, Vericoin, Vertcoin, and Zetacoin.

    Thanks again!

    https://wordpress.org/plugins/woocommerce-moolahio-payment-gateway/

  2. Jandal
    Member
    Posted 7 months ago #

    Hello Killerdog,

    I have been looking at this plugin to use it myself.
    I noticed it doesn't include the new coins as well, but it appears to be "easy" to add them to the plugin ;-)

    Version 1.0.1
    class-wc-gateway-moolah.php

    Around line 430 is an array of currencies.

    $currencies = array(
              'Bitcoin' => 'bitcoin',
              'Litecoin' => 'litecoin',
              'Dogecoin' => 'dogecoin',
              'Vertcoin' => 'vertcoin',
              'Auroracoin' => 'auroracoin',
              'Mintcoin' => 'mintcoin',
              'Darkcoin' => 'darkcoin',
              'Maxcoin' => 'maxcoin',
          );

    So for example, I wanted to add Blackcoin. I recommend to copy and paste in the new Array item, notice the comma's on the end of each line ;-)

    $currencies = array(
              'Bitcoin' => 'bitcoin',
              'Blackcoin' => 'blackcoin',
              'Litecoin' => 'litecoin',
              'Dogecoin' => 'dogecoin',
              'Vertcoin' => 'vertcoin',
              'Auroracoin' => 'auroracoin',
              'Mintcoin' => 'mintcoin',
              'Darkcoin' => 'darkcoin',
              'Maxcoin' => 'maxcoin',
          );

    Hope this is helpful until we see a new version.
    Thanks,

  3. killerdog
    Member
    Posted 7 months ago #

    Seems easy enough. Thanks, Jandal.

    Now let's hope that Moolah doesn't shutdown their API version 1.0 anytime soon. They've released version 2.0 and apparently it's not backwards compatible. I wish I knew PHP better so that I could contribute.

Reply

You must log in to post.

About this Plugin

About this Topic